Bug 1308910 - Ceph monitor doesn't use the correct address for binding in IPv6 deployment
Ceph monitor doesn't use the correct address for binding in IPv6 deployment
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
urgent Severity high
: ga
: 8.0 (Liberty)
Assigned To: Giulio Fidente
Udi Shkalim
:
Depends On: 1308562
Blocks: 1302593 1309822
  Show dependency treegraph
 
Reported: 2016-02-16 07:46 EST by Giulio Fidente
Modified: 2016-04-26 15:20 EDT (History)
12 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.11-1.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1308562
Environment:
Last Closed: 2016-04-07 17:47:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 280380 None None None 2016-02-16 07:46 EST

  None (edit)
Comment 3 Udi Shkalim 2016-03-28 04:05:37 EDT
Verified

[stack@puma33 ~]$ heat stack-list
+--------------------------------------+------------+-----------------+---------------------+--------------+
| id                                   | stack_name | stack_status    | creation_time       | updated_time |
+--------------------------------------+------------+-----------------+---------------------+--------------+
| 4ef581d6-5370-4938-b72c-f6e8a85bcb24 | overcloud  | CREATE_COMPLETE | 2016-03-27T16:24:14 | None         |
+--------------------------------------+------------+-----------------+---------------------+--------------+
[stack@puma33 ~]$ nova list
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
| ID                                   | Name                    | Status | Task State | Power State | Networks            |
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
| f8e076c4-b007-4a61-b6a3-5915725764f1 | overcloud-cephstorage-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.7  |
| 47266437-b296-4f4b-b429-2c7d5b8c9897 | overcloud-cephstorage-1 | ACTIVE | -          | Running     | ctlplane=192.0.2.6  |
| 4c4b8579-e0c3-470f-84b2-2c13876a4652 | overcloud-cephstorage-2 | ACTIVE | -          | Running     | ctlplane=192.0.2.8  |
| 2aa4ccf0-fe95-4f6c-a03d-e97ef34a0cc4 | overcloud-controller-0  | ACTIVE | -          | Running     | ctlplane=192.0.2.10 |
| 0df1dce6-7b95-434f-9d8b-514611bdd8a4 | overcloud-novacompute-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.9  |
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+



[stack@puma33 ~]$ rpm -qa | grep openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-kilo-0.8.12-2.el7ost.noarch
openstack-tripleo-heat-templates-0.8.12-2.el7ost.noarch



Service: compute
+-------------+----------------------------------------------------------------------+
|   Property  |                                Value                                 |
+-------------+----------------------------------------------------------------------+
|   adminURL  | http://[2620:52:0:23ae::10]:8774/v2/e5e96d0f0e1548fd99b080a3848ce866 |
|      id     |                   1d223f639a17430792924bc2e5dfda01                   |
| internalURL | http://[2620:52:0:23ae::10]:8774/v2/e5e96d0f0e1548fd99b080a3848ce866 |
|  publicURL  | http://[2620:52:0:23b4::10]:8774/v2/e5e96d0f0e1548fd99b080a3848ce866 |
|    region   |                              regionOne                               |
+-------------+----------------------------------------------------------------------+
Service: network
+-------------+-----------------------------------+
|   Property  |               Value               |
+-------------+-----------------------------------+
|   adminURL  | http://[2620:52:0:23ae::10]:9696/ |
|      id     |  1ca65dfbdd39444ca4c69ef4024a119d |
| internalURL | http://[2620:52:0:23ae::10]:9696/ |
|  publicURL  | http://[2620:52:0:23b4::10]:9696/ |
|    region   |             regionOne             |
+-------------+-----------------------------------+
Service: volumev2
+-------------+----------------------------------------------------------------------+
|   Property  |                                Value                                 |
+-------------+----------------------------------------------------------------------+
|   adminURL  | http://[2620:52:0:23ae::10]:8776/v2/e5e96d0f0e1548fd99b080a3848ce866 |
|      id     |                   3ef10ab3f7c94e60ad75ba77f81d5ec7                   |
| internalURL | http://[2620:52:0:23ae::10]:8776/v2/e5e96d0f0e1548fd99b080a3848ce866 |
|  publicURL  | http://[2620:52:0:23b4::10]:8776/v2/e5e96d0f0e1548fd99b080a3848ce866 |
|    region   |                              regionOne                               |
+-------------+----------------------------------------------------------------------+
Service: computev3
+-------------+-------------------------------------+
|   Property  |                Value                |
+-------------+-------------------------------------+
|   adminURL  | http://[2620:52:0:23ae::10]:8774/v3 |
|      id     |   1b3fd629dd214f66bd4030aa22d1f98e  |
| internalURL | http://[2620:52:0:23ae::10]:8774/v3 |
|  publicURL  | http://[2620:52:0:23b4::10]:8774/v3 |
|    region   |              regionOne              |
+-------------+-------------------------------------+
Service: image
+-------------+----------------------------------------+
|   Property  |                 Value                  |
+-------------+----------------------------------------+
|   adminURL  | http://[fd00:fd00:fd00:3000::10]:9292/ |
|      id     |    98523cac11f34dd89e07ead703e9228d    |
| internalURL | http://[fd00:fd00:fd00:3000::10]:9292/ |
|  publicURL  |   http://[2620:52:0:23b4::10]:9292/    |
|    region   |               regionOne                |
+-------------+----------------------------------------+
Service: metering
+-------------+-----------------------------------+
|   Property  |               Value               |
+-------------+-----------------------------------+
|   adminURL  | http://[2620:52:0:23ae::10]:8777/ |
|      id     |  068fa97f9e1b4a338971d9a7fdbb88ee |
| internalURL | http://[2620:52:0:23ae::10]:8777/ |
|  publicURL  | http://[2620:52:0:23b4::10]:8777/ |
|    region   |             regionOne             |
+-------------+-----------------------------------+
Service: volume
+-------------+----------------------------------------------------------------------+
|   Property  |                                Value                                 |
+-------------+----------------------------------------------------------------------+
|   adminURL  | http://[2620:52:0:23ae::10]:8776/v1/e5e96d0f0e1548fd99b080a3848ce866 |
|      id     |                   1a85c8e057044669a4c1c27e9aab2aa4                   |
| internalURL | http://[2620:52:0:23ae::10]:8776/v1/e5e96d0f0e1548fd99b080a3848ce866 |
|  publicURL  | http://[2620:52:0:23b4::10]:8776/v1/e5e96d0f0e1548fd99b080a3848ce866 |
|    region   |                              regionOne                               |
+-------------+----------------------------------------------------------------------+
Service: dashboard
+-------------+------------------------------------------------+
|   Property  |                     Value                      |
+-------------+------------------------------------------------+
|   adminURL  | http://[2620:52:0:23b4::10]:80/dashboard/admin |
|      id     |        7669f698acae4297b424a9a60a0f4954        |
| internalURL |   http://[2620:52:0:23b4::10]:80/dashboard/    |
|  publicURL  |   http://[2620:52:0:23b4::10]:80/dashboard/    |
|    region   |                   regionOne                    |
+-------------+------------------------------------------------+
Service: orchestration
+-------------+----------------------------------------------------------------------+
|   Property  |                                Value                                 |
+-------------+----------------------------------------------------------------------+
|   adminURL  | http://[2620:52:0:23ae::10]:8004/v1/e5e96d0f0e1548fd99b080a3848ce866 |
|      id     |                   57cdb3f7129d4b90b9da8baecc462cb7                   |
| internalURL | http://[2620:52:0:23ae::10]:8004/v1/e5e96d0f0e1548fd99b080a3848ce866 |
|  publicURL  | http://[2620:52:0:23b4::10]:8004/v1/e5e96d0f0e1548fd99b080a3848ce866 |
|    region   |                              regionOne                               |
+-------------+----------------------------------------------------------------------+
Service: object-store
+-------------+--------------------------------------------------------------------------------+
|   Property  |                                     Value                                      |
+-------------+--------------------------------------------------------------------------------+
|   adminURL  |                    http://[fd00:fd00:fd00:3000::10]:8080/v1                    |
|      id     |                        9adea66fbebc46fcaefd9530ed6359dd                        |
| internalURL | http://[fd00:fd00:fd00:3000::10]:8080/v1/AUTH_e5e96d0f0e1548fd99b080a3848ce866 |
|  publicURL  |   http://[2620:52:0:23b4::10]:8080/v1/AUTH_e5e96d0f0e1548fd99b080a3848ce866    |
|    region   |                                   regionOne                                    |
+-------------+--------------------------------------------------------------------------------+
Service: identity
+-------------+---------------------------------------+
|   Property  |                 Value                 |
+-------------+---------------------------------------+
|   adminURL  |      http://192.0.2.24:35357/v2.0     |
|      id     |    186fb3da69ae4da4ac5ed71f19697e31   |
| internalURL | http://[2620:52:0:23ae::10]:5000/v2.0 |
|  publicURL  | http://[2620:52:0:23b4::10]:5000/v2.0 |
|    region   |               regionOne               |
+-------------+---------------------------------------+
Comment 5 errata-xmlrpc 2016-04-07 17:47:44 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0604.html

Note You need to log in before you can comment on or make changes to this bug.